"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Request = void 0;
/**
 * 请求数据
 */
const BeanFactory_1 = require("../BeanFactory");
class Request extends BeanFactory_1.Path {
    constructor(path, data, method, dataType, group, name) {
        super(path, name, method, group, dataType);
        /**
         * 头部文件
         */
        this.header = [{ key: "Content-Type", value: "application/json" }];
        this.data = data;
    }
    setUrl(url) {
        this.url = url;
        return this;
    }
    /**
     * 获取头部文件
     */
    getHeaders() {
        let obj = {};
        if (this.header != null && this.header.length > 0) {
            this.header.forEach(i => {
                // @ts-ignore
                obj[i.key] = i.value;
            });
            return obj;
        }
        // @ts-ignore
        return null;
    }
}
exports.Request = Request;
